package tv.ouya.console.internal;

import android.os.Bundle;
import android.os.RemoteException;
import java.util.List;
import tv.ouya.console.api.OuyaResponseListener;
import tv.ouya.console.api.Product;

public class ProductListListenerBinder
  extends IProductListListener.Stub
{
  private ListenerBinderHelper<List<Product>> binderHelper;
  
  public ProductListListenerBinder(OuyaResponseListener<List<Product>> paramOuyaResponseListener)
  {
    this.binderHelper = new ListenerBinderHelper(paramOuyaResponseListener);
  }
  
  public void onCancel()
    throws RemoteException
  {
    this.binderHelper.onCancel();
  }
  
  public void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException
  {
    this.binderHelper.onFailure(paramInt, paramString, paramBundle);
  }
  
  public void onSuccess(List<Product> paramList)
    throws RemoteException
  {
    this.binderHelper.onSuccess(paramList);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/ProductListListenerBinder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */